# Programa para realizar el ordenamiento
# circular dos un conjunto de puntos de entrada
# Fraga 15.09.2021

import numpy as np

A = np.fromfile( "p.txt", dtype=int, sep=" " )
# print( A.shape ) 

# Aquí se leen todos los valores:
a = A.shape[0]

# Aquí lo cambio a una matriz de puntos:
n = int(a/2)
A = A.reshape( (n,2) )
print( A.shape ) 

# Aqui ya tengo los puntos leídos en una matriz de tamano n x 2 

# Podemos ordenar la matriz, o podemos ordenar los índices
# a esa matriz

# Voy a ordenar los índices, de esta forme resuelvo el
# problema de donde guardar el punto de referencia

# Paso 1, encontramos el punto con el menor 'y'
ymin = 0
i = 1
while i < n :
	if A[i,1] < A[ymin,1] :
		ymin = i

	i += 1

print( ymin )
	

# Paso 2, si hay varios puntos con el menor 'y',
# escogemos el de menor 'x'
xmin = ymin
i = 0
while i < n :
	if A[i,1] == A[xmin,1] and A[i,0] < A[xmin,0] :
		xmin = i

	i += 1

print( xmin )
